/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：历史使用组件列表
*
* createdate:  2022-11-02 16:27:37  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "历史使用组件列表")
public class HisUseComponentAddDto implements Serializable
{
    /**
     * 使用组件id<br>
     */
    @ApiModelProperty("使用组件id")
    @Size(max = 32, message="使用组件id-comId: 数据长度不能 > 32" )
    private String comId;
    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 组件类别，0-基础，1-业务<br>
     */
    @ApiModelProperty("组件类别，0-基础，1-业务")
    private Integer comType;

    /**
     * 录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer recordType;

    public String getComId() {
        return comId;
    }

    public void setComId(String comId) {
        this.comId = comId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public Integer getRecordType() {
        return recordType;
    }

    public void setRecordType(Integer recordType) {
        this.recordType = recordType;
    }
}